Amend Order
curl --request POST \
--url https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend \
--header 'Content-Type: application/json' \
--header 'PX-Content-Sha256: <px-content-sha256>' \
--header 'PX-Key-Id: <px-key-id>' \
--header 'PX-Signature: <px-signature>' \
--header 'PX-Timestamp: <px-timestamp>' \
--data '
{
"price": "0.38",
"count": "10"
}
'import requests
url = "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend"
payload = {
"price": "0.38",
"count": "10"
}
headers = {
"PX-Key-Id": "<px-key-id>",
"PX-Timestamp": "<px-timestamp>",
"PX-Signature": "<px-signature>",
"PX-Content-Sha256": "<px-content-sha256>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'PX-Key-Id': '<px-key-id>',
'PX-Timestamp': '<px-timestamp>',
'PX-Signature': '<px-signature>',
'PX-Content-Sha256': '<px-content-sha256>',
'Content-Type': 'application/json'
},
body: JSON.stringify({price: '0.38', count: '10'})
};
fetch('https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'price' => '0.38',
'count' => '10'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"PX-Content-Sha256: <px-content-sha256>",
"PX-Key-Id: <px-key-id>",
"PX-Signature: <px-signature>",
"PX-Timestamp: <px-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend"
payload := strings.NewReader("{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("PX-Key-Id", "<px-key-id>")
req.Header.Add("PX-Timestamp", "<px-timestamp>")
req.Header.Add("PX-Signature", "<px-signature>")
req.Header.Add("PX-Content-Sha256", "<px-content-sha256>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend")
.header("PX-Key-Id", "<px-key-id>")
.header("PX-Timestamp", "<px-timestamp>")
.header("PX-Signature", "<px-signature>")
.header("PX-Content-Sha256", "<px-content-sha256>")
.header("Content-Type", "application/json")
.body("{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["PX-Key-Id"] = '<px-key-id>'
request["PX-Timestamp"] = '<px-timestamp>'
request["PX-Signature"] = '<px-signature>'
request["PX-Content-Sha256"] = '<px-content-sha256>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d",
"ticker": "KXPRES-2028",
"side": "BID",
"type": "LIMIT",
"count": "10",
"yesPrice": "<string>",
"noPrice": "<string>",
"outcomeSide": "YES",
"price": "0.38",
"postOnly": false,
"status": "OPEN",
"venueOrderId": "b4d9e1f2-3a6c-4d8e-9f1a-2b3c4d5e6f70",
"createdAt": "2026-07-26T12:00:00.000Z",
"updatedAt": "2026-07-26T12:05:00.000Z",
"filledCount": "4",
"averageYesPrice": "<string>",
"averageNoPrice": "<string>",
"averagePrice": "0.3725",
"feesCents": 6,
"feesUsd": "0.063000",
"closedAt": "2026-07-26T12:10:00.000Z",
"clientOrderId": "order-1",
"queuePosition": "<string>"
},
"previous": {
"price": "0.37",
"count": "8"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Kalshi
Amend Order
Reprices or resizes a resting Kalshi order in place.
POST
/
v1
/
kalshi
/
orders
/
{orderId}
/
amend
Amend Order
curl --request POST \
--url https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend \
--header 'Content-Type: application/json' \
--header 'PX-Content-Sha256: <px-content-sha256>' \
--header 'PX-Key-Id: <px-key-id>' \
--header 'PX-Signature: <px-signature>' \
--header 'PX-Timestamp: <px-timestamp>' \
--data '
{
"price": "0.38",
"count": "10"
}
'import requests
url = "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend"
payload = {
"price": "0.38",
"count": "10"
}
headers = {
"PX-Key-Id": "<px-key-id>",
"PX-Timestamp": "<px-timestamp>",
"PX-Signature": "<px-signature>",
"PX-Content-Sha256": "<px-content-sha256>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'PX-Key-Id': '<px-key-id>',
'PX-Timestamp': '<px-timestamp>',
'PX-Signature': '<px-signature>',
'PX-Content-Sha256': '<px-content-sha256>',
'Content-Type': 'application/json'
},
body: JSON.stringify({price: '0.38', count: '10'})
};
fetch('https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'price' => '0.38',
'count' => '10'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"PX-Content-Sha256: <px-content-sha256>",
"PX-Key-Id: <px-key-id>",
"PX-Signature: <px-signature>",
"PX-Timestamp: <px-timestamp>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend"
payload := strings.NewReader("{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("PX-Key-Id", "<px-key-id>")
req.Header.Add("PX-Timestamp", "<px-timestamp>")
req.Header.Add("PX-Signature", "<px-signature>")
req.Header.Add("PX-Content-Sha256", "<px-content-sha256>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend")
.header("PX-Key-Id", "<px-key-id>")
.header("PX-Timestamp", "<px-timestamp>")
.header("PX-Signature", "<px-signature>")
.header("PX-Content-Sha256", "<px-content-sha256>")
.header("Content-Type", "application/json")
.body("{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parlayx.com/v1/kalshi/orders/{orderId}/amend")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["PX-Key-Id"] = '<px-key-id>'
request["PX-Timestamp"] = '<px-timestamp>'
request["PX-Signature"] = '<px-signature>'
request["PX-Content-Sha256"] = '<px-content-sha256>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"price\": \"0.38\",\n \"count\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"order": {
"orderId": "3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d",
"ticker": "KXPRES-2028",
"side": "BID",
"type": "LIMIT",
"count": "10",
"yesPrice": "<string>",
"noPrice": "<string>",
"outcomeSide": "YES",
"price": "0.38",
"postOnly": false,
"status": "OPEN",
"venueOrderId": "b4d9e1f2-3a6c-4d8e-9f1a-2b3c4d5e6f70",
"createdAt": "2026-07-26T12:00:00.000Z",
"updatedAt": "2026-07-26T12:05:00.000Z",
"filledCount": "4",
"averageYesPrice": "<string>",
"averageNoPrice": "<string>",
"averagePrice": "0.3725",
"feesCents": 6,
"feesUsd": "0.063000",
"closedAt": "2026-07-26T12:10:00.000Z",
"clientOrderId": "order-1",
"queuePosition": "<string>"
},
"previous": {
"price": "0.37",
"count": "8"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "<string>",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Headers
The key id issued for your signing keypair.
Unix seconds at signing, valid within 30 seconds of the server clock.
Ed25519 signature of the request
Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.
Path Parameters
Issued order id.
Example:
"3f8b2c9a-2d18-4f7e-9c2a-1b6e1f0c8a4d"
Body
application/json